## pg-reorg 1.1.11

=== Makefile ===
#
# pg_reorg: Makefile
#
#  Portions Copyright (c) 2008-2015, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#
ifndef USE_PGXS
top_builddir = ../..
makefile_global = $(top_builddir)/src/Makefile.global
ifeq "$(wildcard $(makefile_global))" ""
USE_PGXS = 1	# use pgxs if not in contrib directory
endif
endif

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = pg_reorg
include $(makefile_global)
include $(top_srcdir)/contrib/contrib-global.mk
endif

SUBDIRS = bin lib

all install installdirs uninstall distprep clean distclean maintainer-clean debug:
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || exit; \
	done

# We'd like check operations to run all the subtests before failing.
check installcheck:
	@CHECKERR=0; for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || CHECKERR=$$?; \
	done; \
	exit $$CHECKERR

=== bin/Makefile ===
#
# pg_reorg: bin/Makefile
#
#  Portions Copyright (c) 2008-2015, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#
SRCS = pg_reorg.c pgut/pgut.c pgut/pgut-fe.c
OBJS = $(SRCS:.c=.o)
PROGRAM = pg_reorg
REGRESS = init reorg

ifdef DEBUG_REORG
PG_CPPFLAGS = -I$(libpq_srcdir) -DDEBUG_REORG
else
PG_CPPFLAGS = -I$(libpq_srcdir)
endif
PG_LIBS = $(libpq)

ifndef USE_PGXS
top_builddir = ../../..
makefile_global = $(top_builddir)/src/Makefile.global
ifeq "$(wildcard $(makefile_global))" ""
USE_PGXS = 1	# use pgxs if not in contrib directory
endif
endif

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/$(MODULE_big)
include $(makefile_global)
include $(top_srcdir)/contrib/contrib-global.mk
endif

# remove dependency to libxml2 and libxslt
LIBS := $(filter-out -lxml2, $(LIBS))
LIBS := $(filter-out -lxslt, $(LIBS))

ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif

sql/init.sql: sql/init-$(MAJORVERSION).sql
	cp sql/init-$(MAJORVERSION).sql sql/init.sql
sql/init-8.3.sql:
	cp sql/init-legacy.sql sql/init-8.3.sql
sql/init-8.4.sql:
	cp sql/init-legacy.sql sql/init-8.4.sql
sql/init-9.0.sql:
	cp sql/init-legacy.sql sql/init-9.0.sql
sql/init-9.1.sql:
	cp sql/init-extension.sql sql/init-9.1.sql
sql/init-9.2.sql:
	cp sql/init-extension.sql sql/init-9.2.sql
sql/init-9.3.sql:
	cp sql/init-extension.sql sql/init-9.3.sql
sql/init-9.4.sql:
	cp sql/init-extension.sql sql/init-9.4.sql

sql/reorg.sql: sql/reorg-$(MAJORVERSION).sql
	cp sql/reorg-$(MAJORVERSION).sql sql/reorg.sql
sql/reorg-8.3.sql:
	cp sql/reorg-v1.sql sql/reorg-8.3.sql
sql/reorg-8.4.sql:
	cp sql/reorg-v1.sql sql/reorg-8.4.sql
sql/reorg-9.0.sql:
	cp sql/reorg-v1.sql sql/reorg-9.0.sql
sql/reorg-9.1.sql:
	cp sql/reorg-v2.sql sql/reorg-9.1.sql
sql/reorg-9.2.sql:
	cp sql/reorg-v2.sql sql/reorg-9.2.sql
sql/reorg-9.3.sql:
	cp sql/reorg-v2.sql sql/reorg-9.3.sql
sql/reorg-9.4.sql:
	cp sql/reorg-v2.sql sql/reorg-9.4.sql

installcheck: sql/init.sql sql/reorg.sql 

clean: subclean

subclean:
	rm -f sql/init.sql sql/init-{8.3,8.4,9.0,9.1,9.2,9.3,9.4}.sql
	rm -f sql/reorg.sql sql/reorg-{8.3,8.4,9.0,9.1,9.2,9.3,9.4}.sql

=== lib/Makefile ===
#
# pg_reorg: lib/Makefile
#
#  Portions Copyright (c) 2008-2015, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#
MODULE_big = pg_reorg
OBJS = reorg.o pgut/pgut-be.o pgut/pgut-spi.o

EXTENSION = pg_reorg

# The version of the extension, read from the .control file.
# Note that it doesn't need to be the same of the library version: it should
# be increased only when the sql changes.
EXTVER = $(shell grep -e '^default_version' $(EXTENSION).control \
	| sed -e "s/[^']*'\([^']*\)'.*/\1/")

#supports both EXTENSION (for >=9.1) and without_EXTENSION (for <PG 9.1)
DATA_built = pg_reorg.sql pg_reorg--$(EXTVER).sql
DATA = uninstall_pg_reorg.sql

ifndef USE_PGXS
top_builddir = ../../..
makefile_global = $(top_builddir)/src/Makefile.global
ifeq "$(wildcard $(makefile_global))" ""
USE_PGXS = 1	# use pgxs if not in contrib directory
endif
endif

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/$(MODULE_big)
include $(makefile_global)
include $(top_srcdir)/contrib/contrib-global.mk
endif

# remove dependency to libxml2 and libxslt
LIBS := $(filter-out -lxml2, $(LIBS))
LIBS := $(filter-out -lxslt, $(LIBS))

pg_reorg.sql: pg_reorg.sql.in
	echo "BEGIN;" > $@; \
	sed 's,MODULE_PATHNAME,$$libdir/$(MODULE_big),g' $< >> $@; \
	echo "COMMIT;" >> $@;

pg_reorg--$(EXTVER).sql: pg_reorg.sql.in
	echo '\echo Use "CREATE EXTENSION pg_reorg" to load this file. \quit' > $@; \
	cat $< >> $@;

## pg-reorg 1.1.9

=== debian/changelog ===
pg-reorg (1.1.9-2) unstable; urgency=medium

  * Also remove (broken anyway) logos from documentation.
  * Set team as Maintainer.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Jul 2014 17:35:18 +0200

pg-reorg (1.1.9-1) unstable; urgency=medium

  * Initial release.
  * Tweak headers and libs to build against older servers using 9.3's
    libpq-dev package.
  * Remove adsense code from html documentation.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 12 Mar 2014 10:47:54 +0100

=== debian/control ===
Source: pg-reorg
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.5
Homepage: http://reorg.projects.pgfoundry.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pg-reorg.git
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pg-reorg.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-reorg
Architecture: any
Depends: postgresql-9.3, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases without any locks
 pg_reorg is an utility program to reorganize tables in PostgreSQL databases.
 Unlike clusterdb, it doesn't block any selections and updates during
 reorganization.
 .
 This package contains the pg_reorg program and the server extension for
 PostgreSQL 9.3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-reorg
	# Install an alternative for /usr/bin/pg_reorg. We could wrap this
	# using pg_wrapper, but it doesn't matter which binary gets used (it
	# figures out the server version by itself), so we just use the one for
	# the newest server version.
	set -ex; \
	for v in $(shell pg_buildext supported-versions); do \
		i=$$(echo $$v | tr -d .); \
		echo "update-alternatives --install /usr/bin/pg_reorg pg_reorg /usr/lib/postgresql/$$v/bin/pg_reorg $$i" >> debian/postgresql-$$v-reorg.postinst.debhelper; \
		echo "update-alternatives --remove pg_reorg /usr/lib/postgresql/$$v/bin/pg_reorg" >> debian/postgresql-$$v-reorg.prerm.debhelper; \
	done

override_dh_installdocs:
	dh_installdocs --all doc/*

override_dh_clean:
	dh_clean bin/sql/init-?.?.sql

%:
	dh $@

## pg-reorg 1.1.11

=== debian/changelog ===
pg-reorg (1.1.11-1) unstable; urgency=medium

  * New upstream release supporting 9.4.  Closes: #758482, #761556.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Jan 2015 15:06:59 +0100

=== debian/control ===
Source: pg-reorg
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.6
Homepage: http://reorg.projects.pgfoundry.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pg-reorg.git
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pg-reorg.git
XS-Testsuite: autopkgtest

Package: postgresql-9.4-reorg
Architecture: any
Depends: postgresql-9.4, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases without any locks
 pg_reorg is an utility program to reorganize tables in PostgreSQL databases.
 Unlike clusterdb, it doesn't block any selections and updates during
 reorganization.
 .
 This package contains the pg_reorg program and the server extension for
 PostgreSQL 9.4.

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,5 @@
 override_dh_installdocs:
 	dh_installdocs --all doc/*
 
-override_dh_clean:
-	dh_clean bin/sql/init-?.?.sql
-
 %:
 	dh $@

=== debian/watch ===
version=3

http://pgfoundry.org/frs/?group_id=1000411 /frs/download.php/[0-9]+/pg_reorg-(.*)\.tar\.gz
